NewWacht Bench is live — AI-assisted development for Wacht
POST
/webhooks/apps/{app_slug}/endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

app_slug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks/apps/string/endpoints" \  -H "Content-Type: application/json" \  -d '{    "app_slug": "string",    "url": "string",    "subscriptions": [      {        "event_name": "string"      }    ]  }'
{  "id": "string",  "deployment_id": "string",  "app_slug": "string",  "url": "string",  "description": "string",  "headers": null,  "is_active": true,  "max_retries": 0,  "timeout_seconds": 0,  "failure_count": 0,  "last_failure_at": "2019-08-24T14:15:22Z",  "auto_disabled": true,  "auto_disabled_at": "2019-08-24T14:15:22Z",  "rate_limit_config": null,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}